# Coinbase X402

### Overview

[x402](https://www.x402.org/) is an open protocol for internet-native payments. It is a simple, secure, and interoperable protocol that allows users to send and receive payments from anywhere in the world.

### Integration

OM1 has a built-in x402 input and action modules. You can give your robot full economic autonomy by adding x402 input and action modules to its `.config` file.

So that the robot knows its wallet balance, add the `X402Input`:

```
  "agent_inputs": [
    {
      "type": "X402Input"
    },
  ]
```

So that the robot can autonomously buy things it wants, such as electricity, transportation (e.g. Waymo rides) and compute, add the `x402_command`:

```
  "agent_actions": [
    {
      "name": "x402_command",
      "llm_label": "Your payment wallet, which allows you to pay for things you would like to buy",
      "implementation": "passthrough",
      "connector": "x402"
    }
  ]
```

**CAUTION**: Suitably configured system prompts will result in autonomous (and inherently unpredictable) real world actions by your robot to increase its wallet balance.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openmind.com/robotics/coinbase-x402.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
